#pragma once

#include "core/sprite.h"
#include "core/color.h"
#include "core/rectangle.h"

#include <memory>

class ClassicNoteGraphics;

class ClassicSelectionGraphics
{
public:

    struct Init
    {
        std::shared_ptr<kku::Rectangle> shape;
        kku::Color color;
    };

    explicit ClassicSelectionGraphics(ClassicSelectionGraphics::Init&& init);
    void reset();
    void display() const;

    void adjustTo(const std::shared_ptr<ClassicNoteGraphics>& sprite);

protected:
    kku::Color _fill_color;
    std::shared_ptr<kku::Rectangle> _shape;
};
